#include "PaiceWordTokenizer.h"

namespace paiceStem {
	extern "C" {
	#include "PaiceStem/paice.h"
	}
}

bool PaiceWordTokenizer::getNextTerm(tTerm& term)
{
	if (!m_tokenizer->getNextTerm(term))
		return false;

	// operate paice steming
	char *w = new char[term.length() + 1];
	strcpy(w, term.c_str());
	
	if (!paiceStem::PaiceStem(w))
		return true;

	// return the SUCCESSFULL stemming result wraped in a tTerm object
	term = w;
	delete w;
	return true;
};