#ifndef _ALLMATCHER_H_
#define _ALLMATCHER_H_

#include "Matcher.h"
#include <Engine/SearchEngine.h>

/**
 * Matches <b>any</b> of the query terms.
 */
class AllMatcher : public Matcher {
public:
	AllMatcher(UINT maxToMatch) : Matcher(maxToMatch) {}

	virtual int match(const Vector<tTerm>& queryTerms, Set<tMatchResult>& result);
};

#endif /* _ALLMATCHER_H_ */