#ifndef _ANYMATCHER_H_
#define _ANYMATCHER_H_

#include "Matcher.h"

/**
 * Matches <b>any</b> of the query terms.
 */
class AnyMatcher : public Matcher {
public:
	AnyMatcher(UINT maxToMatch) : Matcher(maxToMatch) {}

	virtual int match(const Vector<tTerm>& queryTerms, Set<tMatchResult>& result);
};

#endif /* _ANYMATCHER_H_ */